<?
session_start();
include("../includes/common.php");






$error="";
$status="";

if(isset($_POST['submit']))
{
	/* checking referer */
	if (!isset($_SERVER["HTTP_REFERER"])||!eregi("^".$SITE_URL,$_SERVER["HTTP_REFERER"])){
		$error .= base64_encode("Ошибка при передаче данных!");
		header("Location: $SITE_URL"."/error.php?error=$error");
		exit;
	}

	/* checking data */
	reset ($_POST);
	while (list($key, $value) = each ($_POST)) {
		$$key = trim(substr($value,0,10000));
	}

	if ($email!=""&&!ereg('^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+'. '@'. '[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.' . '[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$', $email)){ 
		$error = "Указан неправильный e-mail, отправка прервана.<br>\n";
	}
	if($msg==""){
		$error = "Сообщение не введено, отправка прервана.<br>\n";
	}

	if($error=="")
	{
		if($email==""){
			$email = $SUPPORT_EMAIL;
		}
		
		SendEMail($SUPPORT_EMAIL,"Замечание по работе системы",stripslashes($msg),$email);
		$status = "Ваше сообщение успешно отправлено. Спасибо!";
		header("Location: ./status.php?status=".base64_encode($status));
		exit;
	}
	else{
		$error = base64_encode($error);
		header("Location: ./error.php?error=$error");
		exit;
	}
}
?>